% ordering definition
%
% precedence 
%

eqF(and,or).
grF(and,forall).
grF(or,forall). %needed now

% status (default mul; extended with the equivalence of the precedence)
% must be compatible with the equivalence
%
stat(and,mul). 
stat(or,mul). 
%stat(and,lex-lr). %lexicographic left-to-right 
%stat(or,lex-lr). %lexicographic left-to-right 
%stat(f,lex-lr). %lexicographic left-to-right 
%stat(f,lex-rl). %lexicographic right-to-left

% Initial equations 
% "abs" is a reserved word
% varibles are capitalized and names are not
%
eq([(a,P)], and(P,forall(abs(a,Q))), forall(abs(a,and(P,Q))) ).
eq([(a,P)], and(forall(abs(a,Q)),P), forall(abs(a,and(Q,P))) ).
eq([(a,P)], or(P,forall(abs(a,Q))),  forall(abs(a,or(P,Q)))  ).
eq([(a,P)], or(forall(abs(a,Q)),P),  forall(abs(a,or(Q,P)))  ).
