% ordering definition
%
% precedence
%

grF(and,forall).

% status (default mul; extended with the equivalence of the precedence)
% must be compatible with the equivalence
%
stat(and,mul). 
stat(or,mul). 
%stat(and,lex-lr). %lexicographic left-to-right 
%stat(or,lex-lr). %lexicographic left-to-right 
%stat(f,lex-lr). %lexicographic left-to-right 
%stat(f,lex-rl). %lexicographic right-to-left

% Initial equations 
% "abs" and "perm" are reserved word
% varibles are capitalized and names are not


eq([(b,P),(c,Q)],forall(abs(b,forall(abs(c,and(P,Q))))),
                 forall(abs(b,and(perm([(b,c)],P),Q)))).

eq([(b,P),(c,Q)],forall(abs(b,forall(abs(c,and(P,Q))))),
                 forall(abs(c,and(P,perm([(b,c)],Q))))). 
