% ordering definition
%
% precedence (transitive closure)
%

%grF(exists,forall).
grF(forall,exists).
eqF(and,or).
grF(and,forall).
grF(and,exists).
grF(or,forall). %needed now because no transitivity is applied
grF(or,exists). %needed now because no transitivity is applied
grF(not,exists).
grF(not,forall).

% status (default mul; extended with the equivalence of the precedence)
% must be compatible with the equivalence
%
stat(and,mul). 
stat(or,mul). 
%stat(and,lex-lr). %lexicographic left-to-right 
%stat(or,lex-lr). %lexicographic left-to-right 
%stat(f,lex-lr). %lexicographic left-to-right 
%stat(f,lex-rl). %lexicographic right-to-left

% get in gprolog
% type [nominal].   
% type complete.
% type exam-ord1.
% and then try a comparison using greater_ord like the following ones
% greater_ord([(a,P)],and(P,forall(abs(a,Q))),forall(abs(a,and(P,Q)))). 
% greater_ord([],and(X,Y),abs(a,X)).
% greater_ord([(a,X)],and(X,Y),abs(a,X)). 
% greater_ord([(c,X),(c,Y)],and(X,Y),perm([ (a,c)],X)).
% greater_ord([(a,X),(c,X),(c,Y)],and(X,Y),perm([ (a,c)],X)). 
% greater_ord([(a,P)],and(forall(abs(a,Q),P)),forall(abs(a,and(Q,P)))).
% greater_ord([(a,P)],and(P,forall(abs(a,Q))),forall(abs(a,and(P,Q)))).
% greater_ord([(b,Q),(a,Q1)],forall(abs(a,and(forall(abs(b,Q1)),Q))),forall(abs(b,and(Q1,forall(abs(a,Q)))))).
% greater_ord([(b,Q),(a,Q1)],forall(abs(b,and(Q1,forall(abs(a,Q))))),forall(abs(a,and(forall(abs(b,Q1)),Q)))).
%
% The answers should be respectively
% yes, no, yes, no, yes, yes, yes, no,no
